/****************************************************************************************************

		I3DExPhysicsEngine.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	charles
		Date:	7/20/2006

****************************************************************************************************/

#ifndef __I3DExPhysicsEngine__
#define __I3DExPhysicsEngine__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "APITypes.h"
#include "IExtension.h"
#include "InterfaceIDs.h"
//****** Globally Unique Ids *************************************************

MCDEFINE_GUID_H(IID_I3DExPhysicsEngine); 


struct I3DExPhysicsEngine : public IMCUnknown
{
	virtual void MCCOMAPI SetupNewScene() = 0;

	virtual void MCCOMAPI SetTreeRoot(I3DShTreeElement* tree,I3DShScene* scene)=0;

	virtual void MCCOMAPI GetEngineForces(TMCPtrArray<I3DShTreeElement>& forces) = 0;

	virtual void MCCOMAPI Simulate()=0;
};


#endif
